%!TEX root=../../thesis.tex
%!TEX file=content/spatial-dynamics/bases-functions.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Selection and Evaluation of Bases Functions}\label{sec:spatial-dynamics:bases-functions}

The equation of motion from~\cref{eqn:spatial-dynamics:discretization:forces} derived in~\cref{sec:spatial-dynamics:equations-of-motion} are widely applicable to the simulation of Cosserat rods and cables.
We have not made any assumptions as of yet as to what the kinematic constraints of the system are in terms of the shape-describing functions~$\shapefuns \of{\pathcoord}$.
In this section, we will present and evaluate three different polynomial approaches of higher order that are generally used for polynomial interpolation or approximation\footnote{In interpolation, points of the basis figure are located on the created figure whereas in approximation, points on the basis figure need not be on the created figure but in some proximity.}.
The complexity of any set of bases functions should be relatively low, where we will measure the relativeness of ``being low'' by the error in approximating natural frequencies of the axially pretensioned beam.
After selecting a minimum number of shape functions, we evaluate the model goodness by comparing the static response of a single cable against the catenary cable line by~\citeauthor{Irvine.1974}~(see~\cref{sec:fundamentals:inverse-kinematics:mechanical}).
In addition, a brief insight into the numerical complexity and cost of evaluation of the bases functions will be given, too.

We limit evaluation of natural frequencies and the static shape to the mechanical parameters of the rubber-like steel cable from~\cref{tbl:cable-dynamics:cable:mechanical-properties}.
To ease visualization, interpretation, and evaluation of the bases functions, we will limit the cable motion to the planar case such that its motion is confined to the~$\evecx\evecz$-plane.



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/spatial-dynamics/bases-functions/lagrange}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/spatial-dynamics/bases-functions/bezier}
